#ifndef POWER_SUPPLY_USB_PD_H_
#define POWER_SUPPLY_USB_PD_H_

#include "PwrSupply.h"
#include "SharedINA.h"

class C_PwrSupply_USB_PD : private C_SharedINA, public C_PwrSupply {
   public:
    C_PwrSupply_USB_PD() { ; }

    void Init() override;
    void SetEnable(bool value) override;
    void ToggleEnable() override;
    bool IsEnabled() override;

    void CheckFuse() override;
    void Tasks() override;

   private:
    static constexpr float FUSE_CURRENT_PD = 3.2f;  //3A from specs
};

#endif